/* basics */
:root{
  --red:#c00;
  --green:#060;
  --blue:#03c;
  --yellow:#f90;
  --black:#000;
  --darker:#333;
  --dark:#666;
  --darkgrey:#999;
  --grey:#ccc;
  --white:#fff;
}
*,html{overflow-x:none;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* desktop */
body{font-family:sans-serif;letter-spacing:1.5px;font-size:18px;line-height:24px;font-weight:400;color:var(--white);}
.bodybg{background:url('bg.jpg') no-repeat;background-attachment:fixed;background-size:cover;display:grid;align-items:center;justify-content:center;height:100vh;background-color:#210;background-blend-mode:luminosity;}
h1{text-align:center;text-transform:uppercase;font-weight:bold;letter-spacing:-4px;text-shadow:0 0 2px var(--black);margin-bottom:1.25em;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:#876;}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#wrapper{width:auto;height:auto;border:0;position:absolute;top:0;display:inline-block;border:1px solid var(--black);transform:perspective(4000px) rotateY(-90deg) translateX(-15px) scale(0.9);transition:all 1s ease-in-out;}
.wrapperfx{background:url('pattern.jpg') no-repeat;background-size:cover;box-shadow:5px 0 10px 0 rgba(0,0,0,0.4);border-radius:10px;overflow:hidden;padding:0.5em 1.5em 1.5em 1.5em;}
.rotatein{transform:perspective(4000px) rotateY(-20deg) translateX(-15px) scale(0.9) !important;}
#grid{padding:10px;float:left;box-shadow:inset 1px 1px 6px var(--darker);border-radius: 5px;}
#grid>.box{width:32px;height:22px;background-color:rgba(0,0,0,0.15);color:var(--white);margin:0;float:left;cursor:pointer;text-align:center;border-radius:50px;margin:5px;padding:5px 0;box-shadow:-2px -2px 1px var(--darker);}
#grid>.box:hover{box-shadow:inset 0 0 1px var(--white);color:var(--white);}
#grid>.ship{color:var(--white);}
#grid>.water{background-color:var(--white);color:var(--black);box-shadow:2px 2px 1px var(--darker);}
#grid>.hint{background-color:var(--black);color:var(--white);box-shadow:2px 2px 1px var(--darker);}
#grid>.pl1,#grid>.pl2{box-shadow:2px 2px 1px var(--darker);}
#mygrid{width:auto;height:auto;float:left;margin:0 0 0 1.5em;padding:8px;opacity:0.9;box-shadow:inset 1px 1px 4px var(--darker);border-radius:4px;}
#mygrid>.box{width:12px;height:14px;float:left;font-size:0.5em;margin:0.5px;padding-left:2px;text-align:center;line-height:1.6em;background-color:rgba(255,255,255,0.2);border-radius:10px;}
#mygrid>.ship{background-color:var(--black);color:var(--white);}
#mygrid>.water{background-color:var(--white);color:var(--black);}
#buttons{margin-top:1.5em;}
#info{width:4.5em;height:1.5em;padding:0 0.5em;font-weight:bold;text-shadow:0 0 8px var(--black);margin-top:0.75em;float:left;}
.button{width:6em;float:left;font-size:0.8em;text-transform:uppercase;margin:6px 10px 2px 10px;padding:6px 8px 8px 8px;border-radius:20px;text-align:center;cursor:pointer;transition:all 0.2s ease-in-out;}
.button::first-letter{font-weight:bold;border-bottom:2px solid currentColor;}
.btnnew{background-color:var(--black);border-color:var(--black);color:var(--white);}
.btnnew:hover{background-color:var(--white);color:var(--black);}
.btnhnt{float:right;background-color:var(--black);border-color:var(--black);color:var(--white);}
.btnhnt:hover{background-color:var(--white);color:var(--black);}
#plr{width:3em;height:1em;border:4px solid var(--dark);border-radius:2em;float:left;padding:0 0.5em;transition:all 0.25s ease-in-out;}
.pl1{background-color:var(--red) !important;color:var(--white) !important;}
.pl2{background-color:var(--blue) !important;color:var(--white) !important;}
.ovr{background-color:var(--red);}
#ships{position:absolute;width:auto;height:auto;clear:right;float:left;margin:0 0 0 1.5em;padding:8px;opacity:0.9;}
.shlen{width:2em;font-size:3em;color:var(--black);margin:0;padding:0 0 0 4px;overflow:hidden;}
.shdot{width:0.25em;height:0.25em;float:left;background-color:var(--black);margin:1px 0 5px 2px;border-radius:50%;}
.shipshead{text-transform:uppercase;padding:0 0.25em 0.5em;color:var(--black);font-weight:bold;}
.elemhide{display:none;}
.win-pl1{background-color:rgba(255,0,0,0.2);}
.win-pl2{background-color:rgba(0,80,255,0.2);}